<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class MatrixMemberTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('matrix_members')->insert([
            [
                "user_id"             => '2',
                "sponser_id"          => '1',
            ],
            [
                "user_id"             => '3',
                "sponser_id"          => '1',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'matrix_member.matrix_member.view',
                'name'      => 'View MatrixMember',
            ],
            [
                'slug'      => 'matrix_member.matrix_member.create',
                'name'      => 'Create MatrixMember',
            ],
            [
                'slug'      => 'matrix_member.matrix_member.edit',
                'name'      => 'Update MatrixMember',
            ],
            [
                'slug'      => 'matrix_member.matrix_member.delete',
                'name'      => 'Delete MatrixMember',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/matrix_member/matrix_member',
                'name'        => 'MatrixMember',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/matrix_member/matrix_member',
                'name'        => 'MatrixMember',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'matrix_member',
                'name'        => 'MatrixMember',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'MatrixMember',
                'module'    => 'MatrixMember',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'matrix_member.matrix_member.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
