Lavalite package that provides matrix_member management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/matrix_member`.

    "litecms/matrix_member": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\MatrixMember\Providers\MatrixMemberServiceProvider::class,

And also add it to alias

    'MatrixMember'  => Litecms\MatrixMember\Facades\MatrixMember::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\MatrixMemberTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\MatrixMember\Providers\MatrixMemberServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\MatrixMember\Providers\MatrixMemberServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\MatrixMember\Providers\MatrixMemberServiceProvider" --tag="view"


## Usage


