<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for matrix_member in matrix_member package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  matrix_member module in matrix_member package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'MatrixMember',
    'names'         => 'MatrixMembers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'MatrixMembers',
        'sub'   => 'MatrixMembers',
        'list'  => 'List of matrix_members',
        'edit'  => 'Edit matrix_member',
        'create'    => 'Create new matrix_member'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'user_id'                    => 'Client',
        'sponser_id'                 => 'Sponsor',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'user_id'                    => 'Client',
        'sponser_id'                 => 'Sponsor',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'user_id'                    => ['name' => 'Client', 'data-column' => 1, 'checked'],
        'sponser_id'                 => ['name' => 'Sponsor', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'MatrixMembers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
