<?php

namespace Litecms\MatrixMember\Repositories\Eloquent;

use Litecms\MatrixMember\Interfaces\MatrixMemberRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MatrixMemberRepository extends BaseRepository implements MatrixMemberRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.matrix_member.matrix_member.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.matrix_member.matrix_member.model.model');
    }
}
